Subject: [Rswg] Re: [Ext] Re: RFC 9280: success or failure? And how would we know?
From: Paul Hoffman <[email-masked]>
To: Brian E Carpenter <[email-masked]>
Cc: RSWG <[email-masked]>
Date: Fri, 17 Jan 2025 01:54:58 +0000
List-Id: "RFC Series Working Group (RSWG)" <rswg.rfc-editor.org>

On Jan 16, 2025, at 16:36, Brian E Carpenter <[email-masked]> wrote:
> 
> Hi,
> 
> This unresolved thread has been nagging at me for many weeks. I would like to make a concrete proposal for a clarifying addition to section 3 of RFC 9280:
> 
> Existing text:
> 
> "Policies under the purview of the RSWG and RSAB might include, but are not limited to, document formats, processes for publication and dissemination of RFCs, and overall management of the RFC Series."
> 
> Proposed addition:
> 
> "Such policies will not include detailed technical specifications, for example specific details of text or graphical formats or XML grammar. Such matters will be decided and documented by the RPC along with its other working practices, as discussed in section 4.2 of [RFC9280], with community consultation as for other tools and services supported by IETF LLC [RFC8711]."
> 
> I believe this would clarify the scope of the RSWG and allow the RPC to make progress on various technical issues that are currently in limbo.
> 
> (At the same time we could also enact erratum #7795.)
> 
> This could make a very short RFC updating RFC 9280]

This could, but we already know that there are other additions that people in the WG have requested. I had started a 9280bis document last summer, but didn't submit it due to the WG going off in different directions. With your proposal above, and with the imminent publication of draft-rswg-rfc7990-updates, I have now submitted <https://datatracker.ietf.org/doc/draft-hoffman-rfc9280-updates/>, which the RSWG might adopt.

Your text is in Section 3. If the WG wants to work on the material suggested in Sections 4 and/or 5, great, but if not, we could probably close out this draft fairly quickly.

--Paul Hoffman